org.apache.cassandra.thrift

## Class TServerCustomFactory

- java.lang.Object
- - org.apache.cassandra.thrift.TServerCustomFactory

All Implemented Interfaces:
  TServerFactory

    public class TServerCustomFactory
    extends java.lang.Object
    implements TServerFactory

Helper implementation to create a thrift TServer based on one of the common types we support (sync, hsha), or a custom type by setting the fully qualified java class name in the rpc_server_type setting.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.thrift.TServerFactory

`TServerFactory.Args`

### Constructor Summary

Constructors
Constructor and Description
`TServerCustomFactory(java.lang.String serverType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.thrift.server.TServer` `buildTServer(TServerFactory.Args args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TServerCustomFactory

    public TServerCustomFactory(java.lang.String serverType)

### Method Detail

#### buildTServer

    public org.apache.thrift.server.TServer buildTServer(TServerFactory.Args args)

Specified by:
  `buildTServer` in interface `TServerFactory`